package com.goldenwater.hzz.mapper;

import com.goldenwater.hzz.domain.SupervisionInfoDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SupervisionMapper {
    List<SupervisionInfoDTO> getSupervisionList();

    List<SupervisionInfoDTO> getAttachmentByGuid(@Param("guid") String g);

    List<SupervisionInfoDTO> getDivisionByGuid(@Param("guid") String g);

    List<SupervisionInfoDTO> getResultByGuid(@Param("guid") String g);

    int audit(@Param("guid") String g, @Param("audit") String a, @Param("auditInfo") String ai);
}
